<html>
  <head>
    <title>TP Vue.js Leaflet</title>
  </head>
  <body>
    <div id="app">
      <address>
        Road: {{ from.road }}
        Zip code: {{ from.zipCode }}
        City: {{ from.city }}
      </address>

    </div>
    <script src="https://unpkg.com/vue"></script>
    <script type="text/javascript">
      /**
       * Étape 1 : Créer un "bloc" d'adresse (sans VueJS)
       * 
       * Étape 2 : Définir une variable réactive
       * 
       * Étape 3 : Affichage conditionnel de données
       * 
       * Étape 4 : Créer un formulaire dynamique
       * 
       * Étape 5 : ajouter un hook à notre application
       * 
       * Étape 6 : permettre la modification de `from` ou `to`
       */
       Vue.createApp({
        data () {
          return {
            from: {
              road: '11 rue du Marchix',
              zipCode: '44000',
              city: 'Nantes'
            }
          }
        }
       }).mount('#app')
    </script>
  </body>
</html>